For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all comments of the task with the specified id.
      • POSTCreates a new comment on the task with the specified id.
      • DELDeletes all comments of the specified task.
      • GETReturns the comment with the specified id of the task with the specified id.
      • PUTUpdates the comment with the specified id on the task with the specified id.
      • DELDeletes the comment with the specified id on the task with the specified id.
      • POSTUpdates the reactions of the comment with the specified id on the task with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Comments

Updates the reactions of the comment with the specified id on the task with the specified id.

POST
https://api.awork.com/api/v1/tasks/:taskId/comments/:commentId/react
POST
/api/v1/tasks/:taskId/comments/:commentId/react
$curl -X POST https://api.awork.com/api/v1/tasks/taskId/comments/commentId/react \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "emoji": "👍",
> "operation": "add"
>}'
<Check title="Required Permissions" icon="key">To update a reaction of a comment the user must have at least `read` permissions on the specified task.</Check>
Was this page helpful?
Previous

Removes a tag from all private tasks.

Next
Built with
Required Permissions
To update a reaction of a comment the user must have at least read permissions on the specified task.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskIdstringRequiredformat: "uuid"
The id of the task.
commentIdstringRequiredformat: "uuid"
The id of the comment.

Request

The model used to update the reactions of the comment with the specified id.
emojistringRequired>=1 character

The reaction (emoji).

operationstringRequired>=1 character
The operation. Can be 'add' or 'remove'.

Response

No Content

Errors

401
Unauthorized Error
404
Not Found Error